# Uses of Class
com.databricks.jdbc.model.core.ResultData

Packages that use ResultData
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.model.client.sqlexec
com.databricks.jdbc.model.core

## Uses of ResultData in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type ResultData
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`InlineJsonResult(ResultManifest resultManifest, ResultData resultData)`

## Uses of ResultData in com.databricks.jdbc.api.impl.arrow

Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type ResultData
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`ArrowStreamResult(ResultManifest resultManifest, ResultData resultData, StatementId statementId, IDatabricksSession session)`

## Uses of ResultData in com.databricks.jdbc.api.impl.arrow.incubator

Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type ResultData
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery)`

## Uses of ResultData in com.databricks.jdbc.model.client.sqlexec

Methods in com.databricks.jdbc.model.client.sqlexec that return ResultData
Modifier and Type
Method
Description
`ResultData`
ExecuteStatementResponse.`getResult()`
`ResultData`
GetStatementResponse.`getResult()`
Methods in com.databricks.jdbc.model.client.sqlexec with parameters of type ResultData
Modifier and Type
Method
Description
`ExecuteStatementResponse`
ExecuteStatementResponse.`setResult(ResultData result)`
`GetStatementResponse`
GetStatementResponse.`setResult(ResultData result)`

## Uses of ResultData in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return ResultData
Modifier and Type
Method
Description
`ResultData`
ResultData.`setByteCount(Long byteCount)`
`ResultData`
ResultData.`setChunkIndex(Long chunkIndex)`
`ResultData`
ResultData.`setDataArray(Collection<Collection<String>> dataArray)`
`ResultData`
ResultData.`setExternalLinks(Collection<ExternalLink> externalLinks)`
`ResultData`
ResultData.`setNextChunkIndex(Long nextChunkIndex)`
`ResultData`
ResultData.`setNextChunkInternalLink(String nextChunkInternalLink)`
`ResultData`
ResultData.`setRowCount(Long rowCount)`
`ResultData`
ResultData.`setRowOffset(Long rowOffset)`